Bug 574531 - Review Request: python26-nose - The "nose" testing package for the python26 EPEL5 package
Summary: Review Request: python26-nose - The "nose" testing package for the python26 E...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 606551 (view as bug list)
Depends On: 574506
Blocks: 601891 619355
TreeView+ depends on / blocked
 
Reported: 2010-03-17 18:19 UTC by Dave Malcolm
Modified: 2010-11-10 17:03 UTC (History)
4 users (show)

Fixed In Version: python26-nose-0.11.1-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 17:03:18 UTC
steve.traylen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Dave Malcolm 2010-03-17 18:19:18 UTC
Spec URL:
http://dmalcolm.fedorapeople.org/epel-packaging/python26-nose.spec

SRPM URL:
http://dmalcolm.fedorapeople.org/epel-packaging/python26-nose-0.11.1-2.el5.src.rpm

Note: this is purely intended for the EPEL5 branch, not for Fedora

Description:
This is the python26-nose package from IUS for EL5:
http://dl.iuscommunity.org/pub/ius/stable/Redhat/5/SRPMS/python26-nose-0.11.1-1.ius.el5.src.rpm
reworked somewhat for import into EPEL5

Diff versus that specfile:
http://dmalcolm.fedorapeople.org/epel-packaging/python26-nose-from-0.11.1-1.ius-to-0.11.1-1.diff

The rpmlint output is clean, apart from this warning (due to the dist tag):
python26-nose.noarch: W: incoherent-version-in-changelog 0.11.1-2 0.11.1-2.el5

Comment 1 Steve Traylen 2010-04-24 22:10:06 UTC
Hi,

The BR on coreutils is not needed since:

$ rpm -q --requires buildsys-build | grep coreutils
coreutils  

and also there is use of both $RPM_BUILD_ROOT and %{buildroot}.

Comment 2 Dave Malcolm 2010-04-25 19:54:51 UTC
Thanks!

Updated specfile:
http://dmalcolm.fedorapeople.org/epel-packaging/python26-nose.spec

Updated SRPM:
http://dmalcolm.fedorapeople.org/epel-packaging/python26-nose-0.11.1-3.el5.src.rpm

Diff of specfile since comment #0:
http://dmalcolm.fedorapeople.org/epel-packaging/python26-nose-from-0.11.1-2-to-0.11.1-3.diff

rpmlint output is as before (modulo the "release" change):

python26-nose.noarch: W: incoherent-version-in-changelog 0.11.1-3 0.11.1-3.el5
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 3 Steve Traylen 2010-06-28 22:32:40 UTC
Sorry for the delay:

One trivial item but important.

Review: python26-nose: https://bugzilla.redhat.com/show_bug.cgi?id=574531
Date:   29th June 2010.
Mock Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2279023

* PASS: rpmlint output
$ rpmlint SPECS/python26-nose.spec \
          SRPMS/python26-nose-0.11.1-3.el5.src.rpm \
          RPMS/noarch/python26-nose-0.11.1-3.el5.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
i.e clean.

* PASS: Named according to the Package Naming Guidelines.
Yes python26 versioned nose .tar bal..
* PASS: spec file name same as  base package %{name}.
Yes
* PASS: Packaging Guidelines.
Yes
* PASS: Approved license in .spec file.
Yes. LGPLv2
* FAIL: License on Source code.
Wrong, to me it is LGPLv2+ 
* PASS: Include LICENSE file or similar if it exist.
lgpl.txt is included.
* PASS: Written in American English.
* PASS: Spec file legible. 
* PASS: Included source must match upstream source.
$ md5sum nose-0.11.1.tar.gz ../SOURCES/nose-0.11.1.tar.gz 
00789d016f81ec52f666f020c644447e  nose-0.11.1.tar.gz
00789d016f81ec52f666f020c644447e  ../SOURCES/nose-0.11.1.tar.gz
* PASS: Build on one architecture.
See koji
* PASS: Not building on an architecture must highlighted.
See koji.
* PASS: Build dependencies must be listed in BuildRequires.
See koji.
* PASS: Handle locales properly. 
No locales.
* PASS: ldconfig must be called on shared libs.
No shared libs.
* PASS: No bundled copies of system libraries.
None.
* PASS: Package must state why relocatable if relocatable.
Not relocatable.
* PASS: A package must own all directories that it creates
Creates /usr/lib/python2.6/site-packages/nose but owns it.
* PASS:  No duplicate files in %files listings. 
none.
* PASS:  Permissions on files must be set properly. %defattr
Indeed they are.
* PASS:  %clean section contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
Yes.
* PASS:  Each package must consistently use macros.
Yes.
* PASS:  The package must contain code, or permissable content.
Indeed it does.
* PASS:  Large documentation files must go in a -doc subpackage.  
No large docs.
* PASS:  %doc  must not affect the runtime of the application. 
Nope.
* PASS:  Header files must be in a -devel package.
None.
* PASS:  Static libraries must be in a -static package.
None.
* PASS:  Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
None.
* PASS:  Then library files that end in .so 
None.
* PASS:  devel packages must require the exact base package
None.
* PASS:  No .la libtool archives
None.
* PASS:  GUI apps should have %{name}.desktop file
None.
* PASS:  No files or directories already owned by other packages. 
No.
* PASS:  %install must run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
It does.
* PASS:  All filenames in rpm packages must be valid UTF-8.
They are.

Summary:
Fail: Please see the LPGLv2 vs LGPLv2+ above.

Comment 4 Steve Traylen 2010-06-28 22:34:45 UTC
And one last item. Upstream looks to be:

http://somethingaboutorange.com/mrl/projects/nose/0.11.3/

rather that 0.11.1

Steve.

Comment 5 Steve Traylen 2010-08-30 18:41:34 UTC
Please ignore my "fail" in comment #2.

It is licensed quite correctly.

So other than possible getting an upgrade this is approved.

Steve.

Comment 6 Steve Traylen 2010-09-28 09:11:24 UTC
Hi Dave,

 This is all reviewed and approved can we (you) proceed?

  Steve.

Comment 7 Steve Traylen 2010-09-28 09:13:45 UTC
Just realised there are two of these , second one bug #606551

Comment 8 BJ Dierkes 2010-09-28 16:24:03 UTC
I'll close the other review (606551), as this one actually has some traction.

Comment 9 BJ Dierkes 2010-09-28 16:25:07 UTC
*** Bug 606551 has been marked as a duplicate of this bug. ***

Comment 10 Dave Malcolm 2010-09-28 18:30:49 UTC
New Package SCM Request
=======================
Package Name: python26-nose
Short Description:  The "nose" testing package for the python26 EPEL package
Owners: dmalcolm
Branches: el5
InitialCC:

Comment 11 Kevin Fenzi 2010-09-29 18:42:06 UTC
Git done (by process-git-requests).

Comment 12 Dave Malcolm 2010-09-29 20:04:38 UTC
Thanks!

Import done:
http://pkgs.fedoraproject.org/gitweb/?p=python26-nose.git;a=commitdiff;h=407f389baac432eb506efb7814e114a35a95ce84

Building python26-nose-0.11.1-3.el5 for dist-5E-epel-testing-candidate
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2497504

Comment 13 Fedora Update System 2010-09-29 20:11:39 UTC
python26-nose-0.11.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-nose-0.11.1-3.el5

Comment 14 Fedora Update System 2010-09-30 17:08:51 UTC
python26-nose-0.11.1-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python26-nose'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python26-nose-0.11.1-3.el5

Comment 15 Fedora Update System 2010-11-10 17:03:11 UTC
python26-nose-0.11.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.